Bug 974547 - add network printer nerves with every password request for each found PC
add network printer nerves with every password request for each found PC
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 08:00 EDT by Rolle
Modified: 2013-08-21 20:46 EDT (History)
11 users (show)

See Also:
Fixed In Version: control-center-3.8.4.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 20:46:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rolle 2013-06-14 08:00:16 EDT
Description of problem:
In a big network (for instance at work) it is no fun to add a new network printer. Because cups automatically search tho whole network for PCs/printer servers and ask immediately the login/password for each found PC/printer server. Even if I press Abort this cancels only the actual login/password request. After that the next login/password request appears. And all PCs/printer servers login/password requests appear twice.
I can't manually type in the location of the printer, because the login/password requester overlays the whole printer setting window.

It may be better if the found PCs/printer servers appear only in the list and no request for login/password. If I wish to connect to a PC or printerserver so I could doubleclick on that PC/printer server and then the login/password should be requested.

Version-Release number of selected component (if applicable):
Fedora 19 beta nightly 2013-06-10 LiveCD, 64 Bit

How reproducible:
everytime

Steps to Reproduce:
1. connect the PC to a big network with many printer/PCs
1. boot LiveCD
2. in printer settings add a network driver

Actual results:
immediately login/password requests appear (after one login/password request appears the same again and after that the next PC login/password request and so on)

Expected results:
I wish to type in manually the location or can cancel the whole search/login process or can immediately select a PC/printer server without to cancel all found PCs

Additional info:
Comment 1 Tim Waugh 2013-06-14 09:57:07 EDT
To confirm, are you starting "Settings" and then clicking on "Printers"?
Comment 2 Marek Kašík 2013-06-14 10:32:35 EDT
Hi Tim,

yes, this is an issue in control-center. It starts to look for network printers and if it finds a samba server which needs authentication then it asks for auth info. I'll try to prepare a patch which asks for auth info just for samba servers which were manually typed in.
I'm working on a better solution of this but it needs an UI change so I plan it for 3.10 (see https://bugzilla.gnome.org/show_bug.cgi?id=698532).

Regards

Marek
Comment 3 Bradley 2013-06-21 18:27:33 EDT
I'm affected by this too.  It took me about 10 restarts/retries to finally see the printer that I wanted before all of the annoying authentication popups starting showing up.  I have about 300 coworkers, so it's terrible.

For this, I suggest 2 radio boxes on the popup:
"[ ] Use this same username/password for all authentication"
"[ ] Cancel for all authentication"

It'd also be nice to simply have an "Add Manually" button so that I can enter the IP address without it searching the entire network.

Thanks
Comment 4 Nicola Buso 2013-08-15 09:03:35 EDT
In 3.6 was working; revert the code?

I don't know if was temporary (while the authentication was going on) but, while clicking cancel to a multitude of authentication pop up, I was trying to scroll the list of found printers and this list was not ordered! Having lots of printers to choose from it's not ideal.

In the meanwhile I presume using directly cups is the only way?

Cheers
Comment 5 Tim Waugh 2013-08-16 06:20:34 EDT
You can still use system-config-printer.
Comment 6 Fedora Update System 2013-08-19 12:18:36 EDT
control-center-3.8.4.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/control-center-3.8.4.1-1.fc19
Comment 7 Fedora Update System 2013-08-20 20:01:44 EDT
Package control-center-3.8.4.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing control-center-3.8.4.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15038/control-center-3.8.4.1-1.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-08-21 20:46:20 EDT
control-center-3.8.4.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.